package com.zcloud.basic.info.persistence.repository;

import com.alibaba.cola.dto.SingleResponse;
import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.basic.info.persistence.dataobject.UserChangeRecordDO;

import java.util.Map;
import java.util.List;

/**
 * web-infrastructure
 *
 * @Author SondonYong
 * @Date 2025-12-02 14:08:19
 */
public interface UserChangeRecordRepository extends BaseRepository<UserChangeRecordDO> {

    PageResponse<UserChangeRecordDO> listPage(Map<String, Object> params);

    List<UserChangeRecordDO> list(Map<String, Object> params);

    SingleResponse<UserChangeRecordDO> getInfoById(Long id);


    UserChangeRecordDO getChangerRecordInfoById(Long userId, Long corpinfoId, Integer status);
}

